Skip to content

Get WhatsApp sync status

View .md
GET

Get the current sync status for a sender's WhatsApp coexistence account. Only available for senders connected in coexistence mode (WhatsApp Business App + Cloud API).

Authorization

  • Authorizationheaderrequired

    Bearer YOUR_API_KEY. Create a key in the dashboard.

Path parameters

  • senderIdstringrequired

Responses

200Sync status.
  • syncobjectrequired

    WhatsApp coexistence sync status.

    4 properties
    • isCoexistencebooleanrequired

      Whether the account is in coexistence mode.

    • statusstringrequired

      WhatsApp account status.

      One ofpending_verificationpending_registrationactivedisconnectederror
    • historyobjectrequired

      History sync status details.

      4 properties
      • statusstringrequired

        Status of WhatsApp message history sync.

        One ofnot_requestedpendingsyncingcompletedrejected
      • canSyncbooleanrequired

        Whether history sync can be initiated.

      • requestedAtstring<date-time>nullable

        When the sync was last requested.

      • completedAtstring<date-time>nullable

        When the sync was completed.

    • contactsobjectrequired

      Contacts sync status details.

      3 properties
      • statusstringrequired

        Status of WhatsApp contacts sync.

        One ofnot_requestedpendingsyncingcompleted
      • canSyncbooleanrequired

        Whether contacts sync can be initiated.

      • requestedAtstring<date-time>nullable

        When the sync was last requested.

400Sender does not have a WhatsApp Business Account connected or is not in coexistence mode.
  • codestringrequired
  • messagestringrequired
  • detailsobject
401Unauthorized.
  • codestringrequired
  • messagestringrequired
  • detailsobject
404Sender not found.
  • codestringrequired
  • messagestringrequired
  • detailsobject